// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdIosSdk",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdIosSdk", targets: ["WebIdIosSdkWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        
    ],
    targets: [
        .binaryTarget(
            name: "WebIdIosSdk",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/MWI-1288/de/webid-solutions/WebIdIosSdk/9.0.1/WebIdIosSdk.framework-v9.0.1-SNAPSHOT-584.zip",
            checksum: "30db803bdc345a9acc0b9a977e0c4bf4b087fa9992087a6b49ee3d573a3147fb"
        ),
        .target(
            name: "WebIdIosSdkWrapper",
            dependencies: [
                .target(name: "WebIdIosSdk"),
                // [target dependecies here]
                
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
